BuildListener (Gradle API 2.11)
Date: 2016-02-08

org.gradle

## Interface BuildListener

- All Known Implementing Classes:
    BuildAdapter, BuildExceptionReporter, BuildLogger, BuildResultLogger

      public interface BuildListener

  A `BuildListener` is notified of the major lifecycle events as a build is executed.

  See Also:
    `Gradle.addListener(Object)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFinished(BuildResult result)` Called when the build is completed.
    `void` | `buildStarted(Gradle gradle)` Called when the build is started.
    `void` | `projectsEvaluated(Gradle gradle)` Called when all projects for the build have been evaluated.
    `void` | `projectsLoaded(Gradle gradle)` Called when the projects for the build have been created from the settings.
    `void` | `settingsEvaluated(Settings settings)` Called when the build settings have been loaded and evaluated.

- - ### Method Detail

    - #### buildStarted

          void buildStarted(Gradle gradle)

      Called when the build is started.

      Parameters:
        `gradle` - The build which is being started. Never null.

    - #### settingsEvaluated

          void settingsEvaluated(Settings settings)

      Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

      Parameters:
        `settings` - The settings. Never null.

    - #### projectsLoaded

          void projectsLoaded(Gradle gradle)

      Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

      Parameters:
        `gradle` - The build which has been loaded. Never null.

    - #### projectsEvaluated

          void projectsEvaluated(Gradle gradle)

      Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

      Parameters:
        `gradle` - The build which has been evaluated. Never null.

    - #### buildFinished

          void buildFinished(BuildResult result)

      Called when the build is completed. All selected tasks have been executed.

      Parameters:
        `result` - The result of the build. Never null.